<template src="./Discover.html">

</template>

<script>
import {mapGetters, mapActions} from 'vuex'

import AppBar from '../../components/bar/AppBar';
import Title from '../../components/section/Title';
import LeftSideNavigation from '../../components/LeftSideNavigation';
import RecipeItem from '../../components/RecipeItem';

export default {
  name: 'Home',
  components: {
    AppBar,
    LeftSideNavigation,
    RecipeItem,
    Title
  },

  data: () => ({
    // drawer: false,
  }),

  computed: {
    currentRouteName() {
      return this.$route.name;
    },
    ...mapGetters([
      'recipes',
    ])
  },

  methods: {
    onClickChild () {
      // console.log(value) // someValue
      this.drawer = !this.drawer
    },

    ...mapActions([
      'getAllRecipes',
    ]),
  },

  created: function () {

    this.getAllRecipes()

  },

}
</script>

<style scope>

.scrolling-wrapper {
  overflow-x: scroll;
  overflow-y: hidden;
  white-space: nowrap;
}
.scrolling-wrapper .card {
  display: inline-block;
}
.scrolling-wrapper .tags {
  display: inline-block;
}
::-webkit-scrollbar {
    width: 0px;  /* Remove scrollbar space */
    background: transparent;  /* Optional: just make scrollbar invisible */
}
/* Optional: show position indicator in red */
/* ::-webkit-scrollbar-thumb {
    background: #FF0000;
} */

</style>
